import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';


const jsonUrl =
  'https://gist.githubusercontent.com/vigneswaran009/02901b80f05d78486510f4de67483d63/raw/e500abad3075401eebb62c40f6d76cbef546637f/salem_new_map.json';

export const useData = () => {
  const [data, setData] = useState(null);

  console.log(data);
  useEffect(() => {
   
    
    
    json(jsonUrl).then(topojsonData => {
     const { salem_new } = topojsonData.objects;
      
    setData(feature(topojsonData, salem_new));  
    });
  }, []);
  
  return data;
};